> For the complete documentation index, see [llms.txt](https://apidocs.zerionsoftware.com/doc/iformbuilder-v80/llms.txt)

# Update a List of Page Assignments

> PUT /profiles/{profile_id}/user_groups/{user_group_id}/page_assignments



## Servers
- https://api.iformbuilder.com/exzact/api/v80/[servername]: https://api.iformbuilder.com/exzact/api/v80/[servername]


## Authentication methods
- Oauth2


## Parameters
### Headers

- **Authorization** (string)
  e.g. Bearer {access_token}


### Path parameters

- **profile_id** (string)
  id of the profile

- **user_group_id** (number)
  id of the user group


### Query parameters

- **fields** (string)
  extra information of each page assignment on the list

- **limit** (number)
  maximum count of the page assignment list

- **offset** (number)
  skip that many page assignment before beginning to return


### Body: application/json (object)

- **page_id** (number)

- **can_collect** (boolean)

- **can_view** (boolean)



## Responses
### 200
OK

#### Body: application/json (object)
- **page_id** (number)
  the updated page id



[Powered by Bump.sh](https://bump.sh)
